<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/src/acmp.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">acmp.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/df1/acmp_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &quot;<a class="code" href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga042fe719ca247fb07992bd66bf267b89">   64</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga042fe719ca247fb07992bd66bf267b89">ACMP_Open</a>(<a class="code hl_struct" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>{</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="keywordflow">if</span>(u32NegSrc != <a class="code hl_define" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf8b3039e5b30cfc887b6ad643dc09ba">ACMP_VNEG_PIN</a>)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CMPRVCR = u32NegSrc;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CMPCR[u32ChNum] = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CMPCR[u32ChNum] &amp; (~(<a class="code hl_define" href="../../d2/d17/group___m_i_n_i51___peripherals.html#ga41f4af95923dfdc23caf3c100ef4b10e">ACMP_CMPCR_NEGSEL_Msk</a> | <a class="code hl_define" href="../../d2/d17/group___m_i_n_i51___peripherals.html#ga96c9318f0dd048546c85078766855568">ACMP_CMPCR_HYSEN_Msk</a>))) |</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                            ((u32NegSrc != <a class="code hl_define" href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf8b3039e5b30cfc887b6ad643dc09ba">ACMP_VNEG_PIN</a> ? <a class="code hl_define" href="../../d2/d17/group___m_i_n_i51___peripherals.html#ga41f4af95923dfdc23caf3c100ef4b10e">ACMP_CMPCR_NEGSEL_Msk</a> : 0) | u32HysteresisEn | <a class="code hl_define" href="../../d2/d17/group___m_i_n_i51___peripherals.html#gaa648b382612137cb1bda2923f7a21481">ACMP_CMPCR_ACMPEN_Msk</a>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>}</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23acd50e45282f2140f23971b7cb29cd">   80</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23acd50e45282f2140f23971b7cb29cd">ACMP_Close</a>(<a class="code hl_struct" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *acmp, uint32_t u32ChNum)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>{</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CMPCR[u32ChNum] &amp;= (~ACMP_CMPCR_ACMPEN_Msk);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>}</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> <span class="comment">/* end of group MINI51_ACMP_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> <span class="comment">/* end of group MINI51_ACMP_Driver */</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>}</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="ttc" id="a_mini51_series_8h_html"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gadf8b3039e5b30cfc887b6ad643dc09ba"><div class="ttname"><a href="../../dd/d5b/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf8b3039e5b30cfc887b6ad643dc09ba">ACMP_VNEG_PIN</a></div><div class="ttdeci">#define ACMP_VNEG_PIN</div><div class="ttdoc">Selecting the voltage of ACMP negative input pin as the source of ACMP V-.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2f/acmp_8h_source.html#l00036">acmp.h:36</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga042fe719ca247fb07992bd66bf267b89"><div class="ttname"><a href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga042fe719ca247fb07992bd66bf267b89">ACMP_Open</a></div><div class="ttdeci">void ACMP_Open(ACMP_T *acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</div><div class="ttdoc">Configure the specified ACMP module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00064">acmp.c:64</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga23acd50e45282f2140f23971b7cb29cd"><div class="ttname"><a href="../../dd/d3f/group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23acd50e45282f2140f23971b7cb29cd">ACMP_Close</a></div><div class="ttdeci">void ACMP_Close(ACMP_T *acmp, uint32_t u32ChNum)</div><div class="ttdoc">This function close comparator.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00080">acmp.c:80</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga8b90783a67cca84746999e2d4dfc735c"><div class="ttname"><a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a></div><div class="ttdeci">#define ACMP</div><div class="ttdoc">Pointer to ACMP register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l05733">Mini51Series.h:5733</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___peripherals_html_ga41f4af95923dfdc23caf3c100ef4b10e"><div class="ttname"><a href="../../d2/d17/group___m_i_n_i51___peripherals.html#ga41f4af95923dfdc23caf3c100ef4b10e">ACMP_CMPCR_NEGSEL_Msk</a></div><div class="ttdeci">#define ACMP_CMPCR_NEGSEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00249">Mini51Series.h:249</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___peripherals_html_ga96c9318f0dd048546c85078766855568"><div class="ttname"><a href="../../d2/d17/group___m_i_n_i51___peripherals.html#ga96c9318f0dd048546c85078766855568">ACMP_CMPCR_HYSEN_Msk</a></div><div class="ttdeci">#define ACMP_CMPCR_HYSEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00246">Mini51Series.h:246</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___peripherals_html_gaa648b382612137cb1bda2923f7a21481"><div class="ttname"><a href="../../d2/d17/group___m_i_n_i51___peripherals.html#gaa648b382612137cb1bda2923f7a21481">ACMP_CMPCR_ACMPEN_Msk</a></div><div class="ttdeci">#define ACMP_CMPCR_ACMPEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00240">Mini51Series.h:240</a></div></div>
<div class="ttc" id="astruct_a_c_m_p___t_html"><div class="ttname"><a href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00156">Mini51Series.h:157</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
